
Infrastructure - Bug #2355

Incorrect node id added to replica entry for system metadata

2012-02-21 16:54 - Dave Vieglais

Status: Closed Start date: 2012-02-21

Priority: High Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: Sprint-2012.09-Block.2.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Content added to gmn-dev is replicated by the cn-dev* machines. The replica information is incorrect, specifying a node id of "c3p0"

for one of the replicas.

Example:

https://cn-dev.dataone.org/cn/v1/meta/XYZ33256

It is not clear where the node id "c3p0" is being obtained from, though it appears to be a misconfiguration of synchronization.

Specifically the property "Synchronization.CN_REPLICA_NODE" defaults to "c3p0"

Related issues:

Related to Infrastructure - Bug #2356: No NodeId for the virtual CN represent... Closed 2012-02-21

History

#1 - 2012-02-21 16:54 - Dave Vieglais

- Priority changed from Normal to High

#2 - 2012-02-24 17:58 - Robert Waltz

- Status changed from New to In Progress

#3 - 2012-02-27 18:20 - Dave Vieglais

- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.09-Block.2.1

- Position set to 36

#4 - 2012-02-29 08:01 - Robert Waltz

- Status changed from In Progress to Closed
